apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: next
  namespace: next
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/proxy-body-size: "1024m"
    nginx.org/client-max-body-size: "1024m"
    cert-manager.io/cluster-issuer: "letsencrypt"
    acme.cert-manager.io/http01-edit-in-place: "true"
spec:
  tls:
    - hosts:
        - next.cloud.magnolia-hamburg.com
      secretName: custom-cloud-magnolia-hamburg-com-tls
  rules:
    - host: next.cloud.magnolia-hamburg.com
      http:
        paths:
#          - path: /
#            pathType: Prefix
#            backend:
#              service:
#                name: ingress-public-svc
#                port:
#                  number: 80
          - path: /author
            pathType: Prefix
            backend:
              service:
                name: author-svc
                port:
                  number: 8080